﻿// <author>Netmon Cipher Dev Team</author>
// <date>2009-07-16</date>
// <version>1.0</version>
// <summary>This contains the Common Framework Interface.</summary>

namespace DecryptionExpertFramework
{
    using System; 

    /// <summary>
    /// Decryption Framework Interface
    /// </summary>
    public interface IDecryptCapture
    {
        /// <summary>
        /// To decrypt the Encrypted Capture File
        /// </summary>
        /// <param name="configFile">
        /// XML Configuration File
        /// </param>
        /// <param name="decryptionResult">
        /// string which will return the error</param>
        /// <returns>
        /// Returns TRUE if Decryption is Successful.
        /// </returns>        
        bool DecryptCapture(string configFile, out string decryptionResult);
    }
}
